package ErhaAPI;


public class BarcodeResullt {
    public int currentPage;
    public int limit;
    public int totalPages;
    public int totalRecords;
    public String message;
    public boolean error;
    public String errorId;
    public String errorMessage;
    public String errorCode;
    public PatientRecord[] data;

    @Override
    public String toString(){
        StringBuilder sb = new StringBuilder();
        sb.append("currentPage : ").append(currentPage).append(", limit : ").append(limit).append(", totalPages : ").append(totalPages).append(", totalRecords : ").append(totalRecords).append(", message : ").append(message).append(", error : ").append(error);
        if (data != null){
            sb.append(", data : [");
            for (PatientRecord pr : data){
                sb.append(pr.toString()).append(", ");
            }
            sb.append("]");
        }
        return sb.toString();
    }
}
